Subject: Offline Message from Zahra Ratanshi: I have placed an order over 2 weeks ago
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 15 Jul 2020 11:55:55 -0000

From: Zahra Ratanshi <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/track-order/
Department: 

I have placed an order over 2 weeks ago and only received 1 item! I called on the day and was told I would get a call back but I haven’t heard anything. It is very inconvenient because the item was needed urgently and also very rude that I did not even get a call back! 

----
Zopim
https://www.zopim.com